%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:		instack-undercloud
Version:	6.1.6
Release:	2%{?dist}
Summary:	Installation tools to install an undercloud via instack

Group:		Development/Languages
License:	ASL 2.0
Url:		https://github.com/openstack/instack-undercloud
Source0:	https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=6.1.6
#
Patch0001: 0001-Remove-hardcoded-eth0-MASQUERADE-rule.patch
Patch0002: 0002-Add-numa-topology-colector-to-the-list-of-default-co.patch
Patch0003: 0003-Stop-creating-duplicate-cell_v2-cells-in-N-O-upgrade.patch

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools
BuildRequires:	git
Requires:	instack
Requires:	openstack-tripleo-heat-templates
Requires:	openstack-tripleo-image-elements
Requires:	redhat-lsb-core
Requires:	policycoreutils-python
Requires:	openstack-tripleo-puppet-elements
Requires:	python-psutil
Requires:	python-oslo-config
Requires:	pystache
Requires:	jq
Requires:	os-apply-config
Requires:	os-net-config
Requires:	os-cloud-config
Requires:	os-refresh-config
Requires:	python-heat-agent
Requires:	puppet
Requires:	openstack-puppet-modules
Requires:	python-six
Requires:	python-keystoneclient
Requires:	python-mistralclient
Requires:	python-novaclient
Requires:	python-netaddr

Requires:	selinux-policy

%description
instack-undercloud is a collection of installation tools to install an
undercloud via python-instack. It contains scripts and elements to complete the
installation.


%prep
%autosetup -S git -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.md
%doc LICENSE
%{_datadir}/instack-undercloud
%{_bindir}/instack-*
%{python2_sitelib}/instack_undercloud*
%exclude %{python2_sitelib}/instack_undercloud/tests

%changelog
* Mon Jun 18 2018 Oliver Walsh <owalsh@redhat.com> 6.1.6-2
- Stop creating duplicate cell_v2 cells in N->O upgrade (rhbz#1576953)

* Fri Apr 13 2018 Steve Linabery <slinaber@redhat.com> 6.1.6-1
- Update to 6.1.6
- Remove hardcoded eth0 MASQUERADE rule

* Wed Mar 14 2018 Alex Schultz <aschultz@redhat.com> 6.1.3-3
- Fix bootstrap NAT (rhbz#1553848)

* Mon Feb 05 2018 Steve Linabery <slinaber@redhat.com> 6.1.3-2
- Add numa-topology colector to the list of default collectors

* Thu Dec 21 2017 Steve Linabery <slinaber@redhat.com> 6.1.3-1
- Update to 6.1.3

* Fri Nov 10 2017 Steve Linabery <slinaber@redhat.com> 6.1.2-1
- Update to 6.1.2

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 6.1.0-3
- Fail-fast if the undercloud-passwords.conf file is missing
- Add ssl development headers to bindep
- Merge "Add unit test and release note for tuskar package removal" into stable/ocata

* Wed Aug 09 2017 James Slagle <jslagle@redhat.com> 6.1.0-2
- Remove isolated-build element

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 6.1.0-1
- Merge "Add unit test and release note for tuskar package removal" into stable/ocata
- Add unit test and release note for tuskar package removal
- Clarify the enable_cinder option description
- Remove any left-over tuskar packages on upgrade
- Bump OS_BAREMETAL_API_VERSION to 1.29
- undercloud/upgrade: change ownership for ironic-dbsync.log
- Update to 6.1.0

* Mon Apr 10 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-6
- Set a dependency on collector
- Dont include wsgi profile when legacy flag is disabled (rhbz#1438795)
- Set default domain for all keystone users
- Replace hardcoded regions by hiera call
- Remove obsolete flag on gnocchi-upgrade

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-5
- Add gnocchi to events dispatchers (rhbz#1436599)
- Create Heat API CFN endpoint (rhbz#1435212)
- Increase size of heat json message (rhbz#1435262)
- Disable VIP validation when UI is enabled (rhbz#1427046)
- Set OS_AUTH_TYPE on undercloud stackrc

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-4
- Run ceilometer-upgrade for gnocchi conditionally (rhbz#1434361)
- Configurable [clients]/endpoint_type for heat.conf (rhbz#1435206)

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-3
- Use purged for firewalld (rhbz#1429674)
- Provide correct non-SSL port config in ui config

* Tue Mar 14 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-2
- Add certificate EKUs to public endpoint cert

* Wed Mar 08 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-1
- Update to 6.0.0

* Mon Mar 06 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-0.2.0rc2
- Update to 6.0.0.0rc2

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-0.1.0rc1
- Update to 6.0.0.0rc1

